/* @creaBanco.sql */

/* hacer eco de las sentencias */
SET ECHO ON

/* especificar lneas de hasta 132 caracteres */
SET LINESIZE 132

/* especificar tamao de pgina 80 lneas */
SET PAGESIZE 80

/* truncar los valores de los atributos si "no caben" en la columna */
SET WRAP OFF

/* la Base de Datos propuesta, adems de corresponder a un diseo no demasiado adecuado, es
   algo incompleta (faltan restricciones).  La razn bsica de este hecho es que, adems de
   servir de ejemplo de  implementacin de algunas operaciones en  SQL, pueda ser utilizado
   como ejercicio de diseo.    As pues, se recomienda  estudiar detenidamente el problema
   para mejorar el esquema relacional propuesto (hacer la transformacin con sentencias SQL)
*/

CREATE TABLE empleado(
  numsegsocial number(16),
  nombre       char(25),
  categoria    char(20));

CREATE TABLE destino(
  numsegsocial number(16),
  ciudad       char(20),
  agencia      number(2));

CREATE TABLE cliente(
  nombre char(25) NOT NULL,
  DNI    number(8),
  calle  char(25),
  ciudad char(20));

CREATE TABLE cuenta(
  numero number(10),
  saldo  number(15));

CREATE TABLE sucursal(
  ciudad  char(20)  NOT NULL,
  agencia number(2) NOT NULL,
  pasivo  number (18));

CREATE TABLE apercuenta(
  DNI     number(8),
  numero  number(10),
  ciudad  char(20),
  agencia number(2));

CREATE TABLE prestamo(
  numprestamo number(6),
  importe     number(15),
  interes     number(6,2));

CREATE TABLE prestFormalizado(
  numero      number(10),
  numprestamo number(6));

CREATE TABLE inversion(
  numinversion number(6),
  importe      number(15),
  interes      number(6,2));

CREATE TABLE invFormalizada(
  numero       number(10),
  numinversion number(6));

@infoBanco.sql 
