/* @ponDatBanco.sql */

/* hacer eco de las sentencias */
SET ECHO ON

/* especificar lneas de hasta 132 caracteres */
SET LINESIZE 132

/* especificar tamao de pgina 80 lneas */
SET PAGESIZE 80

/* truncar los valores de los atributos si "no caben" en la columna */
SET WRAP OFF

INSERT INTO empleado VALUES (50000123,'Antonio Segura', 'Auxiliar');
INSERT INTO empleado VALUES (50004502,'Juan Gutierrez', 'Auxiliar');
INSERT INTO empleado VALUES (50000567,'Anselmo Rincon', 'Auxiliar');
INSERT INTO empleado VALUES (50001234,'Benjamin Cacho', 'Auxiliar');
INSERT INTO empleado VALUES (50002222,'Ines Castan', 'Oficial');
INSERT INTO empleado VALUES (50003222,'Maria Otin', 'Oficial');

INSERT INTO destino  VALUES (50000123,'Zaragoza', 4);
INSERT INTO destino  VALUES (50004502,'Zaragoza', 4);
INSERT INTO destino  VALUES (50000567,'Huesca', 1);
INSERT INTO destino  VALUES (50001234,'Teruel', 2);
INSERT INTO destino  VALUES (50002222,'Zaragoza', 2);
INSERT INTO destino  VALUES (50003222,'Zaragoza', 3);

INSERT INTO cuenta   VALUES (14187, 217456);
INSERT INTO cuenta   VALUES (16543, 4567);
INSERT INTO cuenta   VALUES (13087, 50000);
INSERT INTO cuenta   VALUES (18564, 107870);
INSERT INTO cuenta   VALUES (11456, 56890);
INSERT INTO cuenta   VALUES (10980, 47);
INSERT INTO cuenta   VALUES (15434, 987665);
INSERT INTO cuenta   VALUES (13345, 107456);
INSERT INTO cuenta   VALUES (16657, 21765);

INSERT INTO prestamo VALUES (82,50000, 17.12);
INSERT INTO prestamo VALUES (17,200000, 17.12);
INSERT INTO prestamo VALUES (45,100000, 17.12);
INSERT INTO prestamo VALUES (99,340000, 16.75);
INSERT INTO prestamo VALUES (40,100000, 16.75);
INSERT INTO prestamo VALUES (55,50000, 16.75);

INSERT INTO prestFormalizado VALUES (13087, 40);
INSERT INTO prestFormalizado VALUES (14187, 17);
INSERT INTO prestFormalizado VALUES (16543, 45);
INSERT INTO prestFormalizado VALUES (10980, 82);
INSERT INTO prestFormalizado VALUES (13087, 55);
INSERT INTO prestFormalizado VALUES (15434, 99);

INSERT INTO inversion VALUES (13, 1000000, 15.0);
INSERT INTO inversion VALUES (17, 250000, 14.0);
INSERT INTO inversion VALUES (25, 175000, 12.75);
INSERT INTO inversion VALUES (27, 975000, 13.75);

INSERT INTO invFormalizada VALUES (14187, 17);
INSERT INTO invFormalizada VALUES (13087, 25);
INSERT INTO invFormalizada VALUES (13345, 13);
INSERT INTO invFormalizada VALUES (10980, 27);

INSERT INTO sucursal VALUES ('Zaragoza', 1, 1347456789);
INSERT INTO sucursal VALUES ('Zaragoza', 2, 947456300);
INSERT INTO sucursal VALUES ('Zaragoza', 3, 1600567455);
INSERT INTO sucursal VALUES ('Zaragoza', 4, 1090890076);
INSERT INTO sucursal VALUES ('Zaragoza', 5, 890765444);
INSERT INTO sucursal VALUES ('Zaragoza', 6, 334567800);
INSERT INTO sucursal VALUES ('Huesca', 1, 567865444);
INSERT INTO sucursal VALUES ('Huesca', 2, 666400987);
INSERT INTO sucursal VALUES ('Teruel', 1, 432456789);
INSERT INTO sucursal VALUES ('Teruel', 2, 890876777);

INSERT INTO cliente  VALUES ('Susana Ramon', 12543122, 'La Paz 121', 'Zaragoza');
INSERT INTO cliente  VALUES ('Herminio Salgado', 11321009, 'Nueva 2', 'Teruel');
INSERT INTO cliente  VALUES ('Maria Abos', 18678999, 'Lorca 34', 'Zaragoza');
INSERT INTO cliente  VALUES ('Miguel Iglesias', 12123322, 'Constitucion 65', 'Huesca');
INSERT INTO cliente  VALUES ('Jose Pons', 17656777, 'Mayor 35', 'Zaragoza');
INSERT INTO cliente  VALUES ('Ana Ferrer', 11765789, 'Libertad 22', 'Teruel');
INSERT INTO cliente  VALUES ('Jose Lopez', 15444345, 'Mayor 17', 'Zaragoza');

INSERT INTO apercuenta VALUES (17656777, 10980, 'Zaragoza', 4);
INSERT INTO apercuenta VALUES (11765789, 11456, 'Zaragoza', 2);
INSERT INTO apercuenta VALUES (15444345, 14187, 'Zaragoza', 4);
INSERT INTO apercuenta VALUES (12123322, 14187, 'Zaragoza', 4);
INSERT INTO apercuenta VALUES (17656777, 13087, 'Huesca', 2);
INSERT INTO apercuenta VALUES (18678999, 16543, 'Teruel', 1);
INSERT INTO apercuenta VALUES (12543122, 16657, 'Zaragoza', 5);
INSERT INTO apercuenta VALUES (12543122, 16543, 'Zaragoza', 4);

COMMIT;

@lstDatBanco
