/* @lstDatBanco.sql */

/* hacer eco de las sentencias */
SET ECHO ON

/* especificar lneas de hasta 132 caracteres */
SET LINESIZE 132

/* especificar tamao de pgina 80 lneas */
SET PAGESIZE 80

/* truncar los valores de los atributos si "no caben" en la columna */
SET WRAP OFF

/* especifica formatos para las columnas */
column ciudad  format a10;
column calle   format a16;
column numero  format 999999 heading 'n CC';
column dni     format 99999999;
column agencia format 999    heading 'Ag.';

/* especificacin de formato de listado sin repetir valores iguales que en fila anterior */
break ON nombre nodup ON dni nodup ON calle nodup ON ciudad nodup;

SELECT * FROM empleado;
SELECT * FROM destino;
SELECT * FROM prestamo;
SELECT * FROM prestFormalizado;
SELECT * FROM inversion;
SELECT * FROM invFormalizada;
SELECT * FROM cliente;
SELECT * FROM cuenta;
SELECT * FROM sucursal;
SELECT * FROM apercuenta;

/* Eliminar las "rupturas" especificadas */
clear break;
